<!DOCTYPE html>    
<html lang="en">    
<head>    
<meta charset="UTF-8">    
<meta name="viewport" content="width=device-width, initial-scale=1.0">    
<title>互动界面</title>    
<style>    
    body {    
        font-family: Arial, sans-serif;    
        margin: 0;    
        padding: 0;    
        background-color: #191919; /* 深灰色背景 */    
        display: flex;    
        justify-content: center;    
        align-items: center;    
        height: 100vh;    
        overflow: hidden; /* 隐藏滚动条 */    
    }    
    
    .screen {    
        width: 513px; /* 设置电子屏幕宽度 */    
        height: 513px; /* 设置电子屏幕高度，正方形 */    
        background-color: #283E3E; /* 深绿色背景 */    
        border: 2px solid #558B2F; /* 绿色边框 */    
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* 阴影效果 */    
        display: flex;    
        justify-content: center;    
        align-items: center;    
        position: relative; /* 使绝对定位的子元素能相对于此元素定位 */    
    }    
    

    .sleep-button {  
        position: absolute; /* 绝对定位以相对于.screen定位 */  
        bottom: 20px; /* 距离屏幕底部20px */  
        right: 20px; /* 距离屏幕右侧20px */  
        width: 50px; /* 按钮宽度 */  
        height: 50px; /* 按钮高度 */  
        background-image: url('sleep-icon.png'); /* 睡觉图标 */  
        background-size: cover; /* 图标覆盖整个按钮 */  
        border: none; /* 无边框 */  
        outline: none; /* 无轮廓 */  
        cursor: pointer; /* 鼠标悬停时变为手形 */  
    }  
      
    .zzz-status {  
        position: absolute; /* 绝对定位以相对于.screen定位 */  
        top: 20%; /* 距离屏幕顶部50% */  
        left: 80%; /* 距离屏幕左侧50% */  
        transform: translate(-50%, -50%); /* 居中显示 */  
        font-size: 2em; /* 字体大小 */  
        color: white; /* 字体颜色 */  
        text-align: center; /* 文字居中 */  
        opacity: 0; /* 初始状态为透明 */  
        transition: opacity 1s ease; /* 透明度变化的过渡效果 */  
    }  
      
    .screen.sleeping .zzz-status {  
        opacity: 1; /* 睡觉状态时显示 */  
    }  
</style>    

<style>  
    #greetButton {  
        position: absolute; /* 绝对定位以相对于.screen定位 */  
        bottom: 280px; /* 距离屏幕底部20px */  
        right: 653px; /* 距离屏幕右侧20px */  
        width: 50px; /* 按钮宽度 */  
        height: 50px; /* 按钮高度 */ 
        cursor: pointer; /* 鼠标悬停时变为手形 */ 
    }  
</style>  



<meta charset="UTF-8">  
<meta name="viewport" content="width=device-width, initial-scale=1.0">  
<title>Hover Button Example</title>  
<style>  
    body, html {  
        height: 100%;  
        margin: 0;  
        overflow: hidden;  
        display: flex;  
        align-items: center;  
        justify-content: center;  
        font-family: Arial, sans-serif;  
    }  
  
    #errorButton {  
        padding: 10px 20px;  
        background-color: #f44336;  
        color: white;  
        border: none;  
        cursor: pointer;  
        position: relative;  
    }  
  
    #overlay {  
        position: absolute;  
        top: 0;  
        left: 0;  
        width: 100%;  
        height: 100%;  
        display: flex;  
        align-items: center;  
        justify-content: center;  
        pointer-events: none;  
        opacity: 0;  
        transition: opacity 0.5s ease;  
    }  
  
    #overlay.show {  
        opacity: 1;  
    }  
  
    #overlay p {  
        font-size: 24px;  
        white-space: nowrap;  
        animation: scrollText 5s linear infinite;  
    }  
  
    @keyframes scrollText {  
        0% { transform: translateX(100%); }  
        100% { transform: translateX(-100%); }  
    }  
</style>


</head>    









<body>    
    <div class="screen">    
        <!-- 这里可以放置电子屏幕的内容，比如日期、时间等 -->  
        <img src="动画01.gif">  
        <button class="sleep-button" onclick="toggleSleep()">睡觉</button>  
        <div class="zzz-status">zzz</div>  
    </div>  
  
    <script>  
        function toggleSleep() {  
            var screen = document.querySelector('.screen');  
            screen.classList.toggle('sleeping'); // 切换sleeping类来显示或隐藏zzz状态  
        }  
    </script>  

    


    <button id="greetButton">打招呼</button>  
    <audio id="greetAudio" preload="auto">  
        <source src="1.你好.mp3" type="audio/mpeg">  
        您的浏览器不支持音频标签。  
    </audio>  
  
    <script>  
        // 获取按钮和音频元素  
        var greetButton = document.getElementById('greetButton');  
        var greetAudio = document.getElementById('greetAudio');  
  
        // 为按钮添加点击事件监听器  
        greetButton.addEventListener('click', function() {  
            // 播放音频  
            greetAudio.play();  
        });  
    </script>

    <audio id="audioPlayer" src="生日.mp3" preload="auto"></audio>
    <script src="script.js"></script>
    
    <button id="errorButton">Error</button>  
  
    <div id="overlay">  
        <p id="scrollText"></p>  
    </div>  
      
    <script>  
        const errorButton = document.getElementById('errorButton');  
        const overlay = document.getElementById('overlay');  
        const scrollText = document.getElementById('scrollText');  
      
        // 填充滚动文字  
        for (let i = 0; i < 100; i++) {  
            scrollText.innerHTML += '哈巴狗 哈巴马 马 ';  
        }  
      
        errorButton.addEventListener('mouseover', function() {  
            overlay.classList.add('show');  
        });  
      
        errorButton.addEventListener('mouseout', function() {  
            overlay.classList.remove('show');  
        });  
    </script>  


</body>    
</html>